%define anolis_release 3

Name:		perl-parent
Epoch:		1
Version:	0.239
Release:	%{anolis_release}%{?dist}
Summary:	Establish an ISA relationship with base classes at compile time
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/parent
Source0:	https://cpan.metacpan.org/authors/id/C/CO/CORION/parent-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.40

%description
Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Mostly similar in effect to:

	package Baz;

	BEGIN {
		require Foo;
		require Bar;

		push @ISA, qw(Foo Bar);
	}

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n parent-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/parent.pm
%{_mandir}/man3/parent.3*

%files doc
%doc Changes

%changelog
* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.239-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.239-2
- rebuild with perl 5.36.0

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 1:0.239-1
- New version 0.239

* Fri Dec 16 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.238-3
- fix wrong requires of doc package

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.238-2
- add doc package

* Fri Mar 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.238-1
- init from upstream 0.238
